echo 'stop docker'
docker stop jpr_prodige_geonetwork_web && docker rm jpr_prodige_geonetwork_web

echo 'RM ./target'
sudo rm -rf ./target

echo 'Run make'
docker run -u root -w "/build" --volume "${PWD}:/build" docker.alkante.com/alk-tomcat:9 bash -c "umask 000 && ./mvnw install:install-file -DgroupId=org.geonetwork-opensource -DartifactId=geonetwork -Dversion=4.4.1-0 -Dpackaging=war -Dfile=./source/geonetwork-4.4.1-0.war && ./mvnw clean package"

echo 'Start container'
docker-compose -f cicd/dev/docker-compose.yml up -d

# curl https://catalogue.prodige.internal/geonetwork/static/wroAPI/reloadModel
